<?php
header('Content-Type: text/html; charset=iso-8859-1');
include ("db/dbMy.class.php");
include "include/utils.inc.php";

$db= new dbMy();
//print_rr($_REQUEST);

$idPoll = mysql_real_escape_string($_REQUEST['idPoll']);
$contagem = mysql_real_escape_string($_REQUEST['resposta']);
$justificacao = mysql_real_escape_string($_REQUEST['justificacao']);

$ip= $_SERVER['REMOTE_ADDR'];

$sql="update poll set $contagem = ($contagem+1) where id= $idPoll";
$db->set($sql);

$data = date("Y-m-d");
$time = date("H:i");
$timestamp = time();

$sql="insert into poll_respostas_ip (idPoll, ip, justificacao, data, hora, timestamp)
	values ('$idPoll', '$ip', '$justificacao', '$data', '$time', '$timestamp')";
$db->set($sql);


echo "Obrigado pela sua participação.";
?>